default: &default
  adapter: postgresql
  encoding: unicode
  host: <%= ENV.fetch("POSTGRES_DB_HOST") { 'localhost' } %>
  port: <%= ENV.fetch("POSTGRES_DB_PORT") { '5431' } %>
  username: <%= ENV.fetch("POSTGRES_DB_USERNAME") { 'postgres' } %>
  password: <%= ENV.fetch("POSTGRES_DB_PASSWORD") { '' } %>
  pool: <%= ENV.fetch("RAILS_MAX_THREADS") { 5 } %>

development:
  <<: *default
  database: <%= ENV.fetch("POSTGRES_DB_NAME") { "repeat_development" } %>

test:
  <<: *default
  database: <%= ENV.fetch("POSTGRES_DB_NAME") { "repeat_test" } %>

production:
  <<: *default
  database: <%= ENV.fetch("POSTGRES_DB_NAME") { "repeat" } %>
